#### D.14.2.14 from_boolean_set

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  from_boolean_set(sb); sb boolean set

Return:
  Boolean set sb in the representation of a zdd

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring r=0,(x,y,z),Dp;
    poly f=(x+1)*(y+1)*(z+1);
    bpoly fb=f;
    bset fs=fb;
    from_boolean_set(fs);
    ==> zdd:
    ==>  x1(x2(x3+1)+
    ==>        x3+1)+
    ==>     x2(x3+1)+
    ==>        x3+1
    ==>
    poly g=x*y*z+1;
    bpoly gb=g;
    bset gs=gb;
    from_boolean_set(gs);
    ==> zdd:
    ==>  x1(x2(x3))+1
    ==>
    ring R=0,(x(1..4)),Dp;
    poly h=(x(1)+1)*(x(2)+1)*(x(3)+1)*(x(4)+1);
    pyobject hb=boolean_poly(h);
    def hs=hb.set();
    from_boolean_set(hs);
    ==> zdd:
    ==>  x1(x2(x3(x4+1)+
    ==>           x4+1)+
    ==>        x3(x4+1)+
    ==>           x4+1)+
    ==>     x2(x3(x4+1)+
    ==>           x4+1)+
    ==>        x3(x4+1)+
    ==>           x4+1
    ==>

See also: boolean_ideal; boolean_std.

User manual for Singular version 4-0-3, 2016, generated by texi2html.